<a href="https://firebearstudio.com/the-improved-import.html" title="magento 2 import"><img src="https://firebearstudio.com/blog/wp-content/uploads/2016/06/import-mapping-cron-magento2-extension.png" alt="magento 2 cron import & export" title="magento 2 cron import & export" />

# Magento 2 - Improved Import / Export extension  


[![Total Downloads](https://poser.pugx.org/firebear/importexportfree/downloads)](https://packagist.org/packages/firebear/importexportfree)

We’ve started a new project aimed at improving the default Magento 2 import / export functionality. Although this process is significantly refined now, it still lacks some important features; therefore we are developing this Magento 2 extension. 

<a href="https://firebearstudio.com/the-improved-import.html" title="Magento 2 Improved Import">
<b>Full version - Improved Import for Magento 2 CE & EE </b></a><br />

## Improved Import features

<h3>Free version features</h3>

The free version of Improved Import offers the following features:

- product images import from Dropbox or via Custom URL and FTP 
- csv file import from Dropbox or via Custom URL and FTP 
- debug import in var/log/firebear-import.log
- untar / unzip achive with CSV file inside
- TXT files format support additionally to CSV. TXT can be tab (\t) or space(\s) separated

<h3>Full paid version features</h3>

<a href="https://www.youtube.com/watch?v=3a-ojGGKTvw">Extension Video overview screencast</a>

<b>Improved Import & Export Full version features:
- CSV, XML & TXT support 
- Flexible cron jobs (admin run, CLI)
- Powerful import & export mapping for any data structure with filters and static values
- Categories, Attributes and values import
- Orders, invoices, shippings export 
- Supported sources: FTP, SFTP, URL, Dropbox
- Support all product types, customers, orders
- Magento 1 products migration preset
- User friendly & intuitive interface
- FREE INSTALLATION AND CONSULTANCY AFTER PURCHASE! 
</b>

## Installation of Free version
1. Run:
```
composer require firebear/importexportfree
```
``` 
php -f bin/magento setup:upgrade
```
```
php -f bin/magento setup:static-content:deploy
```
```
php -f bin/magento cache:clean
```

<a href="https://firebearstudio.com/the-improved-import.html" title="Magento 2 Improved Import">
<b>Buy Improved Import for Magento 2 CE & EE </b></a><br />

<a href="https://github.com/firebearstudio/magento2-import-export-sample-files" title ="Magento 2 Import Sample Files" target="_blank">Magento 2 Import Sample files</a>

<a href="https://firebearstudio.com/the-improved-import.html"><img src="https://firebearstudio.com/media/catalog/product/cache/1/small_image/040ec09b1e35df139433887a97daa66f/i/m/improved_mport_export_magento_2_flow_example_cron_mapping_xml_1.png" alt="imrpoved import & export magento 2 flow example - cron, mapping, custom data, XML, orders and integrations"/></a>

<b>Full version of Imroved Import overview:</b>

<a href="https://firebearstudio.com/the-improved-import.html" title="Magento 2 Improved Import"><img src="https://firebearstudio.com/media/wysiwyg/magento2-cron-import-custom-mapping.gif"></a>

For further information, read this post: <a href="https://firebearstudio.com/blog/the-improved-import-export-magento-2-extension-by-firebear.html" title="The Improved Import / Export Magento 2 Extension by Firebear" ><strong>The Improved Import / Export Magento 2 Extension by Firebear</strong></a>

<a href="https://firebearstudio.com/blog/improved-import-magento-2-extension-manual.html"><b>Improved Import Extension manual and integration guide</b></a>

<a href="https://github.com/firebearstudio/customimportexport">Examples of customisation of paid version</a>

<p><strong>Looking for some specific import feature , modification or connection to Magento 2? - <a href="https://firebearstudio.com/contacts" target="_blank">Contact us</a> to discuss and get specific complex import solutions!&nbsp;</strong></p>

<h3 style="text-align: justify;">Improved Import for Magento 2 upcoming features roadmap</h3>
Since we are continuously working on Improved Import features following community and merchant needs, here are upcoming features which we are working on now.

After purchasing the extension, you will receive free upgrades during one year and also will get 50% discount for the second year upgrades! This mean you can purchase extension now to use current features and get free updates with powerful new features!
<ul>
	<li>Price and other product attributes modification on the fly during the import - increase, multiple, decrease, percent etc.</li>
	<li>Continious import / export mapping improvements - merge or separate fileds and import to specific attribute</li>
	<li>Mapping categories from source file to Magento 2 categories</li>
	<li>MS Excel XLSX files native import and mapping - processing of complex Excel files with multiple pages, flexible file files mapping to Magento 2 products , customers and orders striucture </li>
	<li>PDF spreadsheet parsing & OpenOffice formats support</li>
	<li>JSON format support for import and export products , orders etc</li>
	<li>CSV mapping import / export presets for Magento 1.x CE &amp; EE , Shopify , Zoey, BigCommerce , WooCommerce , Prestashop, and other major ecommerce systems - to make migration to Magento 2 and sync with the platform extremely easy!</li>
	<li>API connection between Magento 2 and Shopify , BigCommerce, and other cloud-based SAAS ecommerce platforms - effortlessly import and export products, customers, and other data on the fly - without creating CSV files! Setup synchronization between your Magento 2 store and other ecommerce platforms in a few clicks;</li>
	<li>Improved Import auto-upgrade - built-in system to keep your Improved Import copy up to date and get new import features, bug fix, and patches in Magento 2 instantly!</li>
	<li>Order export / import - CSV & XML </li>
	<li>Import & Export of ALL Magento 2 entites. Custom data structure mapping for categories, customers, discount codes, catalog price rules, CMS pages & static blocks etc. Full flexibility of data import & export to Magento 2!</li>
	<li>Product data auto translation during import by Google or Bing - great for import to different store views;</li>
	<li>Integration with API of data crawling services, such as https://www.import.io/. Crawl product data from any source and import it directly to Magento 2 - this oppens nearly endless possibilities!</li>
	<li>Full covarage by unit and integrations tests </li>
	<li>Extension is submitted and will be available soon on Magento Marketplace</li>
	<li>API for Magento 2 Import and Improved Import functionality</li>
	<li>Import from Google Sheet (Google Drive Table) - dynamically manage Magento 2 products catalog in the cloud and trigger import</li>
	<li>Auto create configurable product during the import from simple products by SKU pattern</li>
	<li>Option to delete / disable products which is not included on CSV file or specific import job</li>
	<li>API connection to external SAP, ERP, PIM, CRM systems</li>
	<li>Combine import / export jobs to queue with dependencies and custom logic between</li>
	<li>Multiple files and sources input for one import / export job - merge and split data and files on the fly, advanced data modificators and processors (export only products with stock less than X etc.</li> 
	<li>Implement all features of MAGMI for Magento 1 - custom images processing , improved speed , advanced data modifications on the import</li>
	<li>Import products to Magento 2 from open product catalogs like IceCat etc.</li>
	<li>Data feed export presets - easy export products from Magento 2 to major marketplaces and catalogs (eBay, Google Shopping,Google Product Ratings,Amazon Product Ads,Bing Product Ads,Bizrate,Rakuten,AdCell,AlleSchuhe,AllYouNeed,Adform,Adtarget.me,Become,Belboon,Beslist,Billiger.de,BOL,Ciao,Commission Junction,Choozen,Criteo,Dawanda,DooYoo,Facebook,Fruugo,Geizhals,GetPrice,Gimme,Guenstiger.de,Idealo,Junglee,Kelkoo,Kieskeurig,LadenZeile,LeGuide,Monetate,MyShopping.com.au,Nextag,PartnerAds,Pikengo,Polyvore,Preisroboter,PriceGrabber,PriceRunner,PriceSpy,Prisguide,Prisjakt,Pronto,Singlefeed,ShareASale,ShopAlike,ShopCost,Shopping24,Schottenland,ShopMania,Shopwahl,Shopprice,Shopzilla,SoLebIch,Skinflint,Stylight,SuperClix,TheFind,TopPreise,TradeTracker,Tradedoubler,TrovaPrezzi,Twenga,Webgains,Yandex Market,Yatego, Etsy)</li>
	
</ul>

<a href="https://firebearstudio.com/blog/the-complete-guide-to-magento-2-product-import-export.html">Magento 2 Import Guide</a>

<a href="https://firebearstudio.com/the-improved-import.html" title="Magento 2 Improved Import"><img src="https://firebearstudio.com/files/m2import/magento2-dropbox-box-drive-ftp-products-images-import.png" alt="Magento 2 import from Dropbox, Box, Google, FTP" /></a>

<img src="https://firebearstudio.com/files/m2import/magento-import-dropbox.png" alt="Magento 2 import from Dropbox, Box, Google, FTP" />


